## org.biojava.bio.dp
Interface TrainingAlgorithm

All Known Implementing Classes:
  AbstractTrainer

public interface TrainingAlgorithm

Method Summary
`double` `getCurrentScore()`
`int` `getCycle()`
`DP` `getDP()`
`double` `getLastScore()`
`void` `train(SequenceDB db, Distribution nullModel, double nullWeight, StoppingCriteria stopper)` Trains the sequences in db untill stopper says to finnish.

Method Detail

### getDP

    public DP getDP()

### getLastScore

    public double getLastScore()

### getCurrentScore

    public double getCurrentScore()

### getCycle

    public int getCycle()

### train

    public void train(SequenceDB db,
                      Distribution nullModel,
                      double nullWeight,
                      StoppingCriteria stopper)
               throws IllegalSymbolException,
                      BioException

  Trains the sequences in db untill stopper says to finnish.